# Root-Server einrichten

## Ausgangspunkt:
- Netcup Root-Server
- Ubuntu 18.04 minimal Image
- als IP Adresse des Servers wird in dieser Dokumentation beispielhaft `1.2.3.4` verwendet
- der Hostname des Servers ist `srv` (ebenfall beispielhaft)

## Grundlegende Einrichtung

### Erste Anmeldung mit ssh

Nach der Einrichtung des Servers bekommt man normalerweise das Passwort für den ssh-Zugang per Mail geschickt. Damit kann man sich z.B. von einem Linux-Computer mit dem Terminal-Programm am Server anmelden.

```
ssh -l root 1.2.3.4
```

Wenn dieser Befehl für den Server das erste mal ausgeführt wird, muss man mit `yes` bestätigen, dass der "fingerprint" des Server-Schlüssels in die Liste der bekannten Server aufgenommen werden soll:

```
The authenticity of host '1.2.3.4 (1.2.3.4)' can't be established.
ECDSA key fingerprint is SHA256:TzXYVVRvdp9r7MXNnazjoPd3dl5ByXW7kts76Dm0hok.
Are you sure you want to continue connecting (yes/no)? yes
```
Dann kommt noch ein entsprechender Hinweis und die Aufforderung, das Passwort einzugeben:

```
Warning: Permanently added '1.2.3.4' (ECDSA) to the list of known hosts.
root@1.2.3.4's password:
```

Hat alles geklappt, wird man mit einer entsprechenden Meldung an der Server Konsole begrüßt

```
Welcome to Ubuntu 18.04.4 LTS (GNU/Linux 4.15.0-111-generic x86_64)

 * Documentation:  https://help.ubuntu.com
 * Management:     https://landscape.canonical.com
 * Support:        https://ubuntu.com/advantage

  System information as of Thu Jul 16 16:11:02 CEST 2020

  System load:  0.0                Processes:           110
  Usage of /:   0.7% of 313.93GB   Users logged in:     0
  Memory usage: 1%                 IP address for eth0: 1.2.3.4
  Swap usage:   0%

0 packages can be updated.
0 updates are security updates.



The programs included with the Ubuntu system are free software;
the exact distribution terms for each program are described in the
individual files in /usr/share/doc/*/copyright.

Ubuntu comes with ABSOLUTELY NO WARRANTY, to the extent permitted by
applicable law.

root@srv#
```

### Updates installieren

Zunächst sollte überprüft werden, ob alle Software-Pakete aktuell sind. Bei der Anmeldung bekommt man zwar schon einen entsprechenden Hinweis, der muss aber nicht aktuell sein, jenachdem, wann das letzte mal nach Updates gesucht wurde. Mit den folgenden Befehlen kann die Überprüfung durchgeführt und eventuelle Updates eingespielt werden.


```
apt update
apt upgrade
```

### Tastatur- und Spracheinstellungen anpassen (optional)

Bei manchen Server-Images sind Sprache und Region bereits voreingestellt und es muss nichts weiter getan werden. Wenn man im SSH-Terminal z.B. deutsche Sonderzeichen eintippt (ä,ö,...) und diese werden nicht richtig dargestellt, dann muss die Spracheinstellung angepasst werden.

Zunächst wird das deutsche Spachpaket installiert

```
apt install language-pack-de
```

Die eigentliche Einstellung der Sprache erfolgt mit dem Befehl:

```
dpkg-reconfigure locales
```

Dabei erscheinen folgende Eingabefenster:

![Sprache einstellen, Fenster 1](bilder/sprache_einstellen_1.jpg)

![Sprache einstellen, Fenster 2](bilder/sprache_einstellen_2.jpg)

Mit dem Befehl `date` kann man überprüfen, ob die Zeitzone richtig eingestellt ist. Wenn ja, erscheint das aktuelle Datum mit der korrekten Zeit.

```
root@srv:~# date
Fri Jul 17 20:59:31 CEST 2020
```

Sollte die Zeit nicht stimmen (um exakt 1 oder mehrere Stunden abweichen), muss noch die Zeitzone eingestellt werden. Das erledigt man mit dem folgenden Befehl:

```
dpkg-reconfigure tzdata
```

In den daraufhin erscheindenden Eingabefenstern wird erst "Europe" und dann "Berlin" ausgewählt.

![Zeitzone einstellen, Fenster 1](bilder/zeitzone_einstellen_1.jpg)

![Zeitzone einstellen, Fenster 2](bilder/zeitzone_einstellen_2.jpg)

!!! note "Hinweis"
    Die Änderung der Zeitzone wird sofort übernommen. Um die geänderten Sprach-/Tastatureinstellungen zu aktivieren, muss man sich von der Konsole ab- und wieder anmelden

### zusätzliche Programme installieren

```
apt install mc
```